# Class CellGeometry

Object
CodeList<CellGeometry>
CellGeometry

All Implemented Interfaces:
  `Serializable, Comparable<CellGeometry>`

@UML(identifier="MD_CellGeometryCode", specification=ISO_19115) public final class CellGeometry extends CodeList<CellGeometry>
Code indicating whether grid data is point or area.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CellGeometry`
  `AREA`
  Each cell represents an area.
  `static final CellGeometry`
  `POINT`
  Each cell represents a point.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CellGeometry[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static CellGeometry`
  `valueOf(String code)`
  Returns the CellGeometry that matches the given string, or returns a new one if none match it.
  `static CellGeometry[]`
  `values()`
  Returns the list of `CellGeometry`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### POINT

    @UML(identifier="point", obligation=CONDITIONAL, specification=ISO_19115) public static final CellGeometry POINT
    Each cell represents a point.

  - ### AREA

    @UML(identifier="area", obligation=CONDITIONAL, specification=ISO_19115) public static final CellGeometry AREA
    Each cell represents an area.

- ## Method Details

  - ### values

    public static CellGeometry[] values()
    Returns the list of `CellGeometry`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public CellGeometry[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<CellGeometry>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static CellGeometry valueOf(String code)
    Returns the CellGeometry that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.